# Alert

以色块为背景的提醒信息文本框

## 示例

  <demo src="basic.jsx" title="基础用法"></demo>
  
  <demo src="style.jsx" title="类型"></demo>
  
  <demo src="icon.jsx" title="图标与描述"></demo>
  
  <demo src="closable.jsx" title="可关闭的"></demo>
  
## API

| 参数 | 说明 | 类型 | 默认值 |
| --- | --- | --- | --- |
| afterClose | 关闭动画结束后触发的回调函数 | () => void | - |
| banner | 是否用作顶部公告 | boolean | false |
| closable | 默认不显示关闭按钮 | boolean | 无 |
| closeText | 自定义关闭按钮 | string\|ReactNode | 无 |
| description | 警告提示的辅助性文字介绍 | string\|ReactNode | 无 |
| message | 警告提示内容 | string\|ReactNode | 无 |
| showIcon | 是否显示辅助图标 | boolean | false，`banner` 模式下默认值为 true |
| iconType | 自定义图标类型，`showIcon` 为 `true` 时有效 | string | - |
| type | 指定警告提示的样式，有四种选择 `success`、`info`、`warning`、`error` | string | `info`，`banner` 模式下默认值为 `warning` |
| onClose | 关闭时触发的回调函数 | (e: MouseEvent) => void | 无 |
