# Avatar

头像或形如头像的展示单元

## 示例

  <demo src="basic.jsx" title="基础用法"></demo>
  
  <demo src="types.jsx" title="四种类型: 图片、Icon、字符"></demo>
  
  <demo src="badge.jsx" title="带徽标的头像"></demo>

## API

| 参数 | 说明 | 类型 | 默认值 |
| --- | --- | --- | --- |
| icon | 设置头像的图标类型，参考 `Icon` 组件 | string | - |
| shape | 指定头像的形状 | Enum{ 'circle', 'square' } | `circle` |
| size | 设置头像的大小 | Enum{ 'large', 'small', 'default' } | `default` |
| src | 图片类头像的资源地址 | string | - |
