import React, {Component} from 'react';
import {Badge} from 'ola-ui';

const itemStyle = {
  width: 42,
  height: 42,
  borderRadius: 4,
  background: '#eee',
  display: 'inline-block'
};

export default class Overflow extends Component {

  render() {
    return (
      <div>
        <Badge count={99}>
          <a href="#" style={itemStyle}/>
        </Badge>
        <Badge count={100}>
          <a href="#" style={itemStyle}/>
        </Badge>
        <Badge count={99} overflowCount={10}>
          <a href="#" style={itemStyle}/>
        </Badge>
        <Badge count={1000} overflowCount={999}>
          <a href="#" style={itemStyle}/>
        </Badge>
      </div>
    );
  }
}
