import React, {Component} from 'react';
import {Button, Dropdown, Icon, Menu} from 'ola-ui';

const menu = (
  <Menu onClick={(e) => {
    console.log('click', e);
  }}>
    <Menu.Item key="1">1st item</Menu.Item>
    <Menu.Item key="2">2nd item</Menu.Item>
    <Menu.Item key="3">3rd item</Menu.Item>
  </Menu>
);

export default class WithDropdown extends Component {

  render() {

    return (
      <div>
        <Dropdown overlay={menu}>
          <Button>
            Actions <Icon type="down"/>
          </Button>
        </Dropdown>
      </div>
    )

  }

}
