import React, {Component} from 'react';
import {Cascader, Button} from 'ola-ui';

const options = [{
  code: 'zhejiang',
  name: 'Zhejiang',
  items: [{
    code: 'hangzhou',
    name: 'Hangzhou',
    items: [{
      code: 'xihu',
      name: 'West Lake',
    }],
  }],
}, {
  code: 'jiangsu',
  name: 'Jiangsu',
  items: [{
    code: 'nanjing',
    name: 'Nanjing',
    items: [{
      code: 'zhonghuamen',
      name: 'Zhong Hua Men',
    }],
  }],
}];

function onChange(value) {
  console.log(value);
}

export default class CustomField extends Component {

  render() {
    return (
      <Cascader
        filedNames={{label: 'name', value: 'code', children: 'items'}}
        options={options}
        onChange={onChange}
        placeholder="Please select"/>
    )
  }

}
