# Charts

数据可视化组件 (ECharts v4 实现) 

## 示例

  <demo src="basic.jsx" title="基础用法"></demo>

  <demo src="update.jsx" title="数据更新与 loading"></demo>

`特别的` 对于 `map` 类型的 `series` ，仅预置中国地图，若有其它需求请自行寻找矢量地图数据，或以百度地图为底图，参考[示例](http://echarts.baidu.com/examples/editor.html?c=map-polygon)

  <demo src="map.jsx" title="(预制)地图"></demo>

## API

| 参数 | 说明 | 类型 | 默认值 |
| --- | --- | --- | --- |
| option | ECharts Option 参考: [ECharts Option](http://echarts.baidu.com/option.html) | object | - |
| style | 样式 | object | {height: 300} |
| className | className | string | - |
| notMerge | 是否不跟之前设置的option进行合并 [参考 setOption](http://echarts.baidu.com/api.html#echartsInstance.setOption) | bool | false 合并 |
| lazyUpdate | 在设置完option后是否不立即更新图表 [参考 setOption](http://echarts.baidu.com/api.html#echartsInstance.setOption) | bool | false 立即更新 |
| showLoading | 显示加载动画效果。可以在加载数据前手动调用改接口显示加载动画 | bool | false |
| loadingOption | 加载动画效果显示配置 [参考 showLoading](http://echarts.baidu.com/api.html#echartsInstance.showLoading) | bool | false |
| onEvents | 事件 [参考 echartsInstance.on](http://echarts.baidu.com/api.html#echartsInstance.on) | object {\[eventName\]: handler} | - |
