'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _assign = require('babel-runtime/core-js/object/assign');

var _assign2 = _interopRequireDefault(_assign);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _class, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactMotionDrawer = require('react-motion-drawer');

var _reactMotionDrawer2 = _interopRequireDefault(_reactMotionDrawer);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var defaultDrawerStyle = {
  "background": "#F9F9F9",
  "boxShadow": "rgba(0, 0, 0, 0.188235) 0px 10px 20px, rgba(0, 0, 0, 0.227451) 0px 6px 6px"
};

var Drawer = (_temp = _class = function (_Component) {
  (0, _inherits3.default)(Drawer, _Component);

  function Drawer() {
    (0, _classCallCheck3.default)(this, Drawer);
    return (0, _possibleConstructorReturn3.default)(this, (Drawer.__proto__ || (0, _getPrototypeOf2.default)(Drawer)).apply(this, arguments));
  }

  (0, _createClass3.default)(Drawer, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          children = _props.children,
          position = _props.position,
          zIndex = _props.zIndex,
          motionConfig = _props.motionConfig,
          width = _props.width,
          drawerStyle = _props.drawerStyle,
          drawerClassName = _props.drawerClassName,
          otherProps = (0, _objectWithoutProperties3.default)(_props, ['children', 'position', 'zIndex', 'motionConfig', 'width', 'drawerStyle', 'drawerClassName']);


      var combinedDrawerStyle = (0, _assign2.default)({}, defaultDrawerStyle, drawerStyle);

      var right = position === 'right';

      return _react2.default.createElement(
        _reactMotionDrawer2.default,
        (0, _extends3.default)({
          zIndex: zIndex,
          right: right,
          width: width,
          handleWidth: 0,
          config: motionConfig,
          className: drawerClassName,
          drawerStyle: combinedDrawerStyle
        }, otherProps),
        children
      );
    }
  }]);
  return Drawer;
}(_react.Component), _class.propTypes = {
  position: _propTypes2.default.oneOf(['left', 'right']),
  drawerStyle: _propTypes2.default.object,
  drawerClassName: _propTypes2.default.string,
  width: _propTypes2.default.number,
  motionConfig: _propTypes2.default.object,
  zIndex: _propTypes2.default.number
}, _class.defaultProps = {
  position: 'left',
  drawerStyle: {},
  drawerClassName: '',
  width: 300,
  zIndex: 1000,
  motionConfig: {
    stiffness: 350,
    damping: 40
  }
}, _temp);
exports.default = Drawer;
module.exports = exports['default'];