import React, {Component} from 'react';
import {Menu, Dropdown, Icon} from 'ola-ui';

const menu = (
  <Menu>
    <Menu.Item key="0">
      <a href="#">1st menu item</a>
    </Menu.Item>
    <Menu.Item key="1">
      <a href="#">2nd menu item</a>
    </Menu.Item>
    <Menu.Divider/>
    <Menu.Item key="3">3rd menu item</Menu.Item>
  </Menu>
);

export default class Trigger extends Component {

  render() {

    return (
      <Dropdown overlay={menu} trigger={['click']}>
        <a className="ant-dropdown-link" href="#">
          Click me <Icon type="down"/>
        </a>
      </Dropdown>
    )
  }

}
