import React, {Component} from 'react';
import {Modal, Button} from 'ola-ui';

function showConfirm() {
  Modal.confirm({
    title: 'Do you Want to delete these items?',
    content: 'Some descriptions',
    onOk() {
      console.log('OK');
    },
    onCancel() {
      console.log('Cancel');
    },
  });
}

function showDeleteConfirm() {
  Modal.confirm({
    title: 'Are you sure delete this task?',
    content: 'Some descriptions',
    okText: 'Yes',
    okType: 'danger',
    cancelText: 'No',
    onOk() {
      console.log('OK');
    },
    onCancel() {
      console.log('Cancel');
    },
  });
}

export default class Confirm extends Component {

  render() {
    return (
      <div>
        <Button onClick={showConfirm}>
          Confirm
        </Button>
        <Button onClick={showDeleteConfirm} type="dashed">
          Delete
        </Button>
      </div>
    )
  }

}
