# OptionalField

使用 Radio 切换的可选表单项

## 示例

  <demo src="basic.jsx" title="基础用法"></demo>

  <demo src="children.jsx" title="自定义表单项"></demo>

## API

| 参数 | 说明 | 类型 | 默认值 |
| --- | --- | --- | --- |
| value | 值 | object | - |
| className | 自定义 class | string | - |
| style | style | object | {} |
| radioGroupProps | RadioGroup props | object | {} |
| options | 选项 | Option[] | [] |

### Option

| 参数 | 说明 | 类型 | 默认值 |
| --- | --- | --- | --- |
| label | label | number | '' |
| value | radio 值 | number | - |
| element | 表单项元素 | Class \| func | - |
| elementChildren | 表单项元素的子元素，如 select 的 option | node | - |
| elementProps | 表单项元素 props | object | {} |
| radioProps | Radio 的 props | object | {} |
