import React, {Component} from 'react';
import {OptionalField, InputNumber, Form} from 'ola-ui';

export default class Basic extends Component {

  state = {
    value: {
      radioValue: 1,
      fieldValue: 30,
    }
  };

  render() {
    return (
      <div>
        <Form.Item label={'上架时间'}>
          <OptionalField
            value={this.state.value}
            options={[{
              label: '新品优先',
              value: 1,
              element: InputNumber,
              elementProps: {
                min: 0,
                max: 100,
              }
            }, {
              label: '旧品优先',
              value: 2,
              element: InputNumber,
              elementProps: {
                min: 0,
                max: 100,
              }
            }]}
            onChange={(value) => {
              this.setState({value})
            }}
          />
        </Form.Item>
      </div>
    )
  }

}
