'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _getOwnPropertyDescriptor = require('babel-runtime/core-js/object/get-own-property-descriptor');

var _getOwnPropertyDescriptor2 = _interopRequireDefault(_getOwnPropertyDescriptor);

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _desc, _value, _class, _class2, _temp2;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _olaToolkit = require('ola-toolkit');

var _immutable = require('immutable');

var _immutable2 = _interopRequireDefault(_immutable);

var _Radio = require('../Radio');

var _Radio2 = _interopRequireDefault(_Radio);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _applyDecoratedDescriptor(target, property, decorators, descriptor, context) {
  var desc = {};
  Object['ke' + 'ys'](descriptor).forEach(function (key) {
    desc[key] = descriptor[key];
  });
  desc.enumerable = !!desc.enumerable;
  desc.configurable = !!desc.configurable;

  if ('value' in desc || desc.initializer) {
    desc.writable = true;
  }

  desc = decorators.slice().reverse().reduce(function (desc, decorator) {
    return decorator(target, property, desc) || desc;
  }, desc);

  if (context && desc.initializer !== void 0) {
    desc.value = desc.initializer ? desc.initializer.call(context) : void 0;
    desc.initializer = undefined;
  }

  if (desc.initializer === void 0) {
    Object['define' + 'Property'](target, property, desc);
    desc = null;
  }

  return desc;
}

var OptionalField = (_class = (_temp2 = _class2 = function (_PureComponent) {
  (0, _inherits3.default)(OptionalField, _PureComponent);

  function OptionalField() {
    var _ref;

    var _temp, _this, _ret;

    (0, _classCallCheck3.default)(this, OptionalField);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = (0, _possibleConstructorReturn3.default)(this, (_ref = OptionalField.__proto__ || (0, _getPrototypeOf2.default)(OptionalField)).call.apply(_ref, [this].concat(args))), _this), _this.state = {
      options: _this.props.options,

      inputValueMap: function () {
        var _this$props = _this.props,
            _this$props$value = _this$props.value,
            fieldValue = _this$props$value.fieldValue,
            radioValue = _this$props$value.radioValue,
            options = _this$props.options;


        var map = _immutable2.default.Map();
        options.forEach(function (option) {
          if (option.value === radioValue) {
            map = map.set(option.value, radioValue === option.value ? fieldValue : undefined);
          }
        });
        return map;
      }()
    }, _temp), (0, _possibleConstructorReturn3.default)(_this, _ret);
  }

  (0, _createClass3.default)(OptionalField, [{
    key: 'onChoiceChange',
    value: function onChoiceChange(_ref2) {
      var radioValue = _ref2.target.value;
      var _props = this.props,
          onChange = _props.onChange,
          fieldValue = _props.value.fieldValue;
      var inputValueMap = this.state.inputValueMap;


      onChange({
        radioValue: radioValue,
        fieldValue: inputValueMap.get(radioValue)
      });
    }
  }, {
    key: 'onFieldChange',
    value: function onFieldChange(fieldValue) {

      try {
        fieldValue = input.target.value;
      } catch (e) {}

      var _props2 = this.props,
          onChange = _props2.onChange,
          radioValue = _props2.value.radioValue;


      this.setState({
        inputValueMap: this.state.inputValueMap.set(radioValue, fieldValue)
      });

      onChange({
        radioValue: radioValue,
        fieldValue: fieldValue
      });
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _props3 = this.props,
          value = _props3.value,
          options = _props3.options,
          radioGroupProps = _props3.radioGroupProps,
          className = _props3.className,
          style = _props3.style;
      var inputValueMap = this.state.inputValueMap;


      var radios = options.map(function (_ref3, index) {
        var label = _ref3.label,
            radioValue = _ref3.value,
            FieldTag = _ref3.element,
            _ref3$elementProps = _ref3.elementProps,
            elementProps = _ref3$elementProps === undefined ? {} : _ref3$elementProps,
            _ref3$radioProps = _ref3.radioProps,
            radioProps = _ref3$radioProps === undefined ? {} : _ref3$radioProps,
            _ref3$elementChildren = _ref3.elementChildren,
            elementChildren = _ref3$elementChildren === undefined ? null : _ref3$elementChildren;

        return _react2.default.createElement(
          _react2.default.Fragment,
          { key: index },
          _react2.default.createElement(
            _Radio2.default,
            (0, _extends3.default)({ value: radioValue, style: { marginLeft: index ? 30 : 0 } }, radioProps),
            label
          ),
          _react2.default.createElement(
            FieldTag,
            (0, _extends3.default)({
              value: inputValueMap.get(radioValue),
              style: { width: 'auto' },
              disabled: radioValue !== value.radioValue,
              onChange: _this2.onFieldChange
            }, elementProps),
            elementChildren
          )
        );
      });

      return _react2.default.createElement(
        _Radio2.default.Group,
        (0, _extends3.default)({
          className: className,
          style: style,
          value: value.radioValue,
          onChange: this.onChoiceChange
        }, radioGroupProps),
        radios
      );
    }
  }]);
  return OptionalField;
}(_react.PureComponent), _class2.propTypes = {

  value: _propTypes2.default.object,

  // props that will pass to radioGroup
  radioGroupProps: _propTypes2.default.object,

  className: _propTypes2.default.string,

  style: _propTypes2.default.object,

  options: _propTypes2.default.arrayOf(_propTypes2.default.shape({
    // radio label
    label: _propTypes2.default.string,

    // radio value
    value: _propTypes2.default.oneOfType([_propTypes2.default.string, _propTypes2.default.number]).isRequired,

    // element will be rendering after radio
    element: _propTypes2.default.oneOfType([_propTypes2.default.node, _propTypes2.default.func]).isRequired,

    // the children of element
    elementChildren: _propTypes2.default.node,

    // props that will pass to element
    elementProps: _propTypes2.default.object,

    // props that will pass to radio
    radioProps: _propTypes2.default.object
  }))
}, _class2.defaultProps = {

  radioGroupProps: {},

  className: '',

  style: {}
}, _temp2), (_applyDecoratedDescriptor(_class.prototype, 'onChoiceChange', [_olaToolkit.bind], (0, _getOwnPropertyDescriptor2.default)(_class.prototype, 'onChoiceChange'), _class.prototype), _applyDecoratedDescriptor(_class.prototype, 'onFieldChange', [_olaToolkit.bind], (0, _getOwnPropertyDescriptor2.default)(_class.prototype, 'onFieldChange'), _class.prototype)), _class);
exports.default = OptionalField;
module.exports = exports['default'];