import React, {Component} from 'react';
import {Pagination} from 'ola-ui';
import {bind} from 'ola-toolkit';

export default class Controlled extends Component {

  state = {
    current: 3,
  };

  @bind
  onChange(page) {
    console.log(page);
    this.setState({
      current: page,
    });
  }

  render() {
    return <div>
      <Pagination current={this.state.current} onChange={this.onChange} total={50}/>
    </div>
  }

}
