import React, {Component} from 'react';
import {Pagination} from 'ola-ui';
import Immutable from 'immutable';

export default class Demo extends Component {

  state = {
    page: Immutable.Map({
      current: 4,
      pageSize: 10,
      total: 97
    })
  };

  render() {
    const {page} = this.state;
    return <Pagination page={page} onChange={(v) => {
      this.setState({
        page: page.set('current', v)
      });
    }}/>
  }

}
