'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _class, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _pagination = require('antd/lib/pagination');

var _pagination2 = _interopRequireDefault(_pagination);

var _olaToolkit = require('ola-toolkit');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Pagination = (_temp = _class = function (_PureComponent) {
  (0, _inherits3.default)(Pagination, _PureComponent);

  function Pagination(props) {
    (0, _classCallCheck3.default)(this, Pagination);
    return (0, _possibleConstructorReturn3.default)(this, (Pagination.__proto__ || (0, _getPrototypeOf2.default)(Pagination)).call(this, props));
  }

  (0, _createClass3.default)(Pagination, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          page = _props.page,
          totalKey = _props.totalKey,
          pageSizeKey = _props.pageSizeKey,
          currentKey = _props.currentKey,
          paginationProps = (0, _objectWithoutProperties3.default)(_props, ['page', 'totalKey', 'pageSizeKey', 'currentKey']);

      var total = void 0,
          pageSize = void 0,
          current = void 0;

      if (page) {
        if ((0, _olaToolkit.isImmutable)(page)) {
          total = page.get(totalKey);
          pageSize = page.get(pageSizeKey);
          current = page.get(currentKey);
        } else {
          total = page[totalKey];
          pageSize = page[pageSizeKey];
          current = page[currentKey];
        }
        if (isNaN(total) || isNaN(pageSize) || isNaN(current)) {
          return null;
        }

        if (total <= pageSize) {
          return null;
        }

        return _react2.default.createElement(_pagination2.default, (0, _extends3.default)({}, paginationProps, {
          current: current,
          pageSize: pageSize,
          total: total
        }));
      }

      return _react2.default.createElement(_pagination2.default, this.props);
    }
  }]);
  return Pagination;
}(_react.PureComponent), _class.propTypes = (0, _extends3.default)({
  page: _propTypes2.default.object,
  totalKey: _propTypes2.default.string,
  pageSizeKey: _propTypes2.default.string,
  currentKey: _propTypes2.default.string

}, _pagination2.default.propTypes), _class.defaultProps = (0, _extends3.default)({
  page: null,
  totalKey: 'total',
  pageSizeKey: 'pageSize',
  currentKey: 'current'

}, _pagination2.default.defaultProps), _temp);
exports.default = Pagination;
module.exports = exports['default'];