# Popconfirm

气泡确认框

## 示例

  <demo src="basic.jsx" title="基础用法"></demo>
  
  <demo src="condition.jsx" title="条件触发"></demo>
  
  <demo src="position.jsx" title="位置控制"></demo>
  
## API

| 参数 | 说明 | 类型 | 默认值 |
| --- | --- | --- | --- |
| cancelText | 取消按钮文字 | string | 取消 |
| okText | 确认按钮文字 | string | 确定 |
| okType | 确认按钮类型 | string | primary |
| title | 确认框的描述 | string\|ReactNode | 无 |
| onCancel | 点击取消的回调 | function(e) | 无 |
| onConfirm | 点击确认的回调 | function(e) | 无 |

更多属性请参考 [Tooltip](/docs/ola-ui/component/Tooltip/#API)。

## 注意

请确保 `Popconfirm` 的子元素能接受 `onMouseEnter`、`onMouseLeave`、`onFocus`、`onClick` 事件。
