# Progress

进度条

## 示例

  <demo src="basic.jsx" title="基础用法"></demo>
  
  <demo src="circle.jsx" title="进度圈形态"></demo>
  
  <demo src="dashboard.jsx" title="仪表盘形态"></demo>
  
  <demo src="size.jsx" title="大小控制"></demo>
  
  <demo src="section.jsx" title="分段进度"></demo>
  
  <demo src="format.jsx" title="自定义文字格式"></demo>
  
  
  
## API

| 属性 | 说明 | 类型 | 默认值 |
| --- | --- | --- | --- |
| format | 内容的模板函数 | function(percent, successPercent) | `percent => percent + '%'` |
| gapDegree `(type=circle)` | 圆形进度条缺口角度，可取值 0 ~ 360 | number | 0 |
| gapPosition `(type=circle)` | 圆形进度条缺口位置 | Enum{ 'top', 'bottom', 'left', 'right' } | `top` |
| percent | 百分比 | number | 0 |
| showInfo | 是否显示进度数值或状态图标 | boolean | true |
| status | 状态，可选：`success` `exception` `active` | string | - |
| strokeWidth `(type=line)` | 进度条线的宽度，单位 px | number | 10 |
| strokeWidth `(type=circle)` | 圆形进度条线的宽度，单位是进度条画布宽度的百分比 | number | 6 |
| type | 类型，可选 `line` `circle` `dashboard` | string | line |
| width `(type=circle)` | 圆形进度条画布宽度，单位 px | number | 132 |
| successPercent | 已完成的分段百分比，`type="line"` 时有效 | number | 0 |
