import React, {Component} from 'react';
import {Radio, Button} from 'ola-ui';
import {bind} from 'ola-toolkit';

export default class Group extends Component {

  state = {
    value: 1,
  };

  @bind
  onChange(e) {
    this.setState({
      value: e.target.value,
    });
  }

  render() {

    return (
      <Radio.Group onChange={this.onChange} value={this.state.value}>
        <Radio value={1}>A</Radio>
        <Radio value={2}>B</Radio>
        <Radio value={3}>C</Radio>
        <Radio value={4}>D</Radio>
      </Radio.Group>
    )
  }

}
