# Text

文本框

## 示例

  <demo src="basic.jsx" title="基础用法"></demo>
  
  <demo src="marquee.jsx" title="文本滚动"></demo>

## API

| 参数 | 说明 | 类型 | 默认值 |
| --- | --- | --- | --- |
| maxLine | 最大行数限制,文本溢出显示省略号 | number | - |
| marquee | 文本是否滚动 | boolean | false |
| loop | 文本是否循环滚动 | boolean | false |
| hoverToStop | hover时文本停止滚动 | boolean | - |
| leading | 文本初始滚动前的等待时间(ms) | number | - |
| trailing | 两次滚动之间的等待时间(ms) | number | - |
| direction | 文本滚动时的起始位置方向，可选值为 left/right/top/bottom | string | - |

## Tips:

1. 文本宽度/高度低于容器宽度/高度时，即使设置marquee=true滚动也无效；文本宽度/高度高于容器宽度/高度，并设置marquee=true时，maxLine无效，只能通过行高和高度控制行数。
2. 若要文本上下滚动，则需设置容器高度，且容器高度要低于文本高度。
