import React, {Component} from 'react';
import {Card, Icon, Avatar} from 'ola-ui';

export default class UseMeta extends Component {

  render() {
    return (
      <Card
        style={{width: 300}}
        cover={<img alt="example" src="https://storage.jd.com/ola-ui/img/sample.jpg"/>}
        actions={[<Icon type="setting"/>, <Icon type="edit"/>, <Icon type="ellipsis"/>]}
      >
        <Card.Meta
          avatar={<Avatar src="https://storage.jd.com/ola-ui/img/defaultAvatar.png"/>}
          title="Card title"
          description="This is the description"
        />
      </Card>
    )
  }

}
