import React, {Component} from 'react';
import {Cascader} from 'ola-ui';

const options = [{
  value: 'a',
  label: '部门 A',
  children: [{
    value: 'a1',
    label: '部门 A1',
    children: [{
      value: 'a101',
      label: '部门 A101',
    }],
  }],
}, {
  value: 'b',
  label: '部门 B',
  children: [{
    value: 'b1',
    label: '部门 B1',
    children: [{
      value: 'b101',
      label: '部门 B101',
    }],
  }],
}];

function onChange(value) {
  console.log(value);
}

export default class DefaultValue extends Component {

  render() {

    // changeOnSelect: 允许选到父级

    return (
      <Cascader
        defaultValue={['b', 'b1', 'b101']}
        changeOnSelect
        options={options} onChange={onChange} placeholder="Please select"/>
    )
  }

}
