'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _assign = require('babel-runtime/core-js/object/assign');

var _assign2 = _interopRequireDefault(_assign);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _dec, _class, _class2, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactDom = require('react-dom');

var _reactDom2 = _interopRequireDefault(_reactDom);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _xeact = require('xeact');

var _xeact2 = _interopRequireDefault(_xeact);

var _index = require('./index');

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Col = (_dec = (0, _xeact2.default)('col', {
  isContainer: true,
  raiseClassName: true
}), _dec(_class = (_temp = _class2 = function (_PureComponent) {
  (0, _inherits3.default)(Col, _PureComponent);

  function Col(props) {
    (0, _classCallCheck3.default)(this, Col);
    return (0, _possibleConstructorReturn3.default)(this, (Col.__proto__ || (0, _getPrototypeOf2.default)(Col)).call(this, props));
  }

  /**
   * 根据 row 的 gutter 设置 padding
   */


  (0, _createClass3.default)(Col, [{
    key: 'setPadding',
    value: function setPadding() {
      var col = _reactDom2.default.findDOMNode(this);
      var parent = _xeact.XeactDOM.getParent(this).container;

      if (parent) {
        (0, _assign2.default)(col.style, {
          paddingLeft: Math.abs(parseInt(parent.style.marginLeft, 10)) + 'px',
          paddingRight: Math.abs(parseInt(parent.style.marginRight, 10)) + 'px'
        });
      }
    }
  }, {
    key: 'componentDidMount',
    value: function componentDidMount() {
      this.setPadding();
    }
  }, {
    key: 'componentDidUpdate',
    value: function componentDidUpdate() {
      this.setPadding();
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          xs = _props.xs,
          sm = _props.sm,
          md = _props.md,
          lg = _props.lg,
          xl = _props.xl,
          span = _props.span;


      return _react2.default.createElement(_index2.default, {
        'x-ref': 'body',
        xs: xs,
        sm: sm,
        md: md,
        lg: lg,
        xl: xl,
        span: span
      });
    }
  }]);
  return Col;
}(_xeact.PureComponent), _class2.propTypes = {

  // @observed
  xs: _propTypes2.default.number,

  // @observed
  sm: _propTypes2.default.number,

  // @observed
  md: _propTypes2.default.number,

  // @observed
  lg: _propTypes2.default.number,

  // @observed
  xl: _propTypes2.default.number,

  span: _propTypes2.default.number
}, _class2.defaultProps = {}, _temp)) || _class);
exports.default = Col;
module.exports = exports['default'];