import React, {Component} from 'react';
import {Copy, Button, Message, Input} from 'ola-ui';

export default class Basic extends Component {

  state = {
    value: '被拷贝的文本。。。'
  };

  render() {

    const {value} = this.state;

    return (
      <div>
        <Input.TextArea
          value={value}
          onChange={({target: {value}}) => {
            this.setState({value})
          }}/>
        <br/>
        <br/>
        <Copy text={value} onCopy={() => {
          Message.success('copied !');
        }}>
          <Button type={'primary'}>Click to Copy</Button>
        </Copy>
      </div>
    )
  }
}
