import React, {Component} from 'react';
import {DatePicker} from 'ola-ui';
import moment from 'moment';

const {MonthPicker, RangePicker} = DatePicker;

function onChange(date, dateString) {
  console.log(date, dateString);
}

const dateFormat = 'YYYY/MM/DD';
const monthFormat = 'YYYY/MM';

export default class Format extends Component {

  render() {

    return (
      <div>
        <DatePicker defaultValue={moment('2015/01/01', dateFormat)} format={dateFormat}/>
        <br/><br/>
        <MonthPicker defaultValue={moment('2015/01', monthFormat)} format={monthFormat}/>
        <br/><br/>
        <RangePicker
          defaultValue={[moment('2015/01/01', dateFormat), moment('2015/01/01', dateFormat)]}
          format={dateFormat}
        />
      </div>
    )
  }

}
