# InputNumberRange

数字区间输入框

## 示例

  <demo src="basic.jsx" title="基础用法"></demo>

  <demo src="other.jsx" title="其他配置"></demo>
  
## API

属性如下

| 成员 | 说明 | 类型 | 默认值 |
| --- | --- | --- | --- |
| min | 最小值 | number | - |
| max | 最小值 | number | - |
| size | 组件大小。 可选 large default small | string | default |
| style | 组件样式 | object | {}} |
| separator | 分隔符 | string | ~ |
| separatorStyle | 分隔符样式 | style object | {} |
| suffix | 后缀 | string | - |
| fromPlaceholder | placeholder (前输入框) | string | - |
| toPlaceholder | placeholder (后输入框) | string | - |
| defaultValue | 默认值 | {from: number, to: number} | - |
| value | 值 | {from: number, to: number} | - |
| onChange | 变化回调 | Function({from: number, to: number}) |  |
