'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _getOwnPropertyDescriptor = require('babel-runtime/core-js/object/get-own-property-descriptor');

var _getOwnPropertyDescriptor2 = _interopRequireDefault(_getOwnPropertyDescriptor);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _desc, _value, _class, _class2, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _olaToolkit = require('ola-toolkit');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _applyDecoratedDescriptor(target, property, decorators, descriptor, context) {
  var desc = {};
  Object['ke' + 'ys'](descriptor).forEach(function (key) {
    desc[key] = descriptor[key];
  });
  desc.enumerable = !!desc.enumerable;
  desc.configurable = !!desc.configurable;

  if ('value' in desc || desc.initializer) {
    desc.writable = true;
  }

  desc = decorators.slice().reverse().reduce(function (desc, decorator) {
    return decorator(target, property, desc) || desc;
  }, desc);

  if (context && desc.initializer !== void 0) {
    desc.value = desc.initializer ? desc.initializer.call(context) : void 0;
    desc.initializer = undefined;
  }

  if (desc.initializer === void 0) {
    Object['define' + 'Property'](target, property, desc);
    desc = null;
  }

  return desc;
}

var InputNumberRange = (_class = (_temp = _class2 = function (_PureComponent) {
  (0, _inherits3.default)(InputNumberRange, _PureComponent);

  function InputNumberRange() {
    (0, _classCallCheck3.default)(this, InputNumberRange);
    return (0, _possibleConstructorReturn3.default)(this, (InputNumberRange.__proto__ || (0, _getPrototypeOf2.default)(InputNumberRange)).apply(this, arguments));
  }

  (0, _createClass3.default)(InputNumberRange, [{
    key: 'onChange',
    value: function onChange(fieldFlag, newValue) {
      var _props = this.props,
          onChange = _props.onChange,
          value = _props.value;

      onChange({
        from: fieldFlag === 1 ? newValue : value.from,
        to: fieldFlag === 2 ? newValue : value.to
      });
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _props2 = this.props,
          separator = _props2.separator,
          style = _props2.style,
          fromPlaceholder = _props2.fromPlaceholder,
          toPlaceholder = _props2.toPlaceholder,
          separatorStyle = _props2.separatorStyle,
          min = _props2.min,
          max = _props2.max,
          size = _props2.size,
          _props2$defaultValue = _props2.defaultValue,
          defaultValue = _props2$defaultValue === undefined ? {} : _props2$defaultValue,
          value = _props2.value,
          suffix = _props2.suffix,
          maxLength = _props2.maxLength;


      var styles = require('./style.less');

      return _react2.default.createElement(
        'span',
        { style: style,
          className: 'ant-input ant-input-' + (size === 'large' ? 'lg' : size === 'small' ? 'sm' : 'default') },
        _react2.default.createElement(
          'span',
          { className: styles.container + ' ' },
          _react2.default.createElement(
            'span',
            { className: 'input-suffix ' + styles.item, 'data-suffix': suffix },
            _react2.default.createElement('input', {
              className: 'input-suffix ' + styles.input,
              defaultValue: defaultValue.from,
              min: min,
              max: max,
              maxLength: maxLength,
              placeholder: fromPlaceholder,
              value: value.from,
              onChange: function onChange(e) {
                var v = e.target.value;
                v = v.replace(/[^\d]/g, '');

                // non-controlled
                e.target.value = v;

                // controlled
                _this2.onChange(1, v);
              }
            })
          ),
          _react2.default.createElement(
            'span',
            { className: styles.separator, style: separatorStyle },
            separator
          ),
          _react2.default.createElement(
            'span',
            { className: 'input-suffix ' + styles.item, 'data-suffix': suffix },
            _react2.default.createElement('input', {
              className: styles.input + ' ' + styles.inputSecond,
              defaultValue: defaultValue.to,
              min: min,
              max: max,
              maxLength: maxLength,
              placeholder: toPlaceholder,
              value: value.to,
              onChange: function onChange(e) {
                var v = e.target.value;
                v = v.replace(/[^\d]/g, '');

                // non-controlled
                e.target.value = v;

                // controlled
                _this2.onChange(2, v);
              }
            })
          )
        )
      );
    }
  }]);
  return InputNumberRange;
}(_react.PureComponent), _class2.propTypes = {

  min: _propTypes2.default.number,

  max: _propTypes2.default.number,

  maxLength: _propTypes2.default.number,

  size: _propTypes2.default.oneOf(['small', 'default', 'large']),

  separator: _propTypes2.default.string,

  separatorStyle: _propTypes2.default.object,

  style: _propTypes2.default.object,

  suffix: _propTypes2.default.string,

  fromPlaceholder: _propTypes2.default.string,

  toPlaceholder: _propTypes2.default.string,

  defaultValue: _propTypes2.default.object,

  value: _propTypes2.default.object,

  onChange: _propTypes2.default.func

}, _class2.defaultProps = {
  max: 99999e10,
  min: -99999e10,
  maxLength: 10,

  size: 'default',
  separator: '~',
  style: {},
  separatorStyle: {},

  fromPlaceholder: '',
  toPlaceholder: '',
  onChange: function onChange() {},
  suffix: ''
}, _temp), (_applyDecoratedDescriptor(_class.prototype, 'onChange', [_olaToolkit.bind], (0, _getOwnPropertyDescriptor2.default)(_class.prototype, 'onChange'), _class.prototype)), _class);
exports.default = InputNumberRange;
module.exports = exports['default'];