import React, {Component} from 'react';
import {OptionalField, InputNumber, Form, Select} from 'ola-ui';

export default class Basic extends Component {

  state = {
    value: {
      radioValue: 2,
      fieldValue: 5,
    }
  };

  render() {
    return (
      <div>
        <Form.Item label={'上架时间'}>
          <OptionalField
            value={this.state.value}
            options={[{
              label: '新品优先',
              value: 1,
              element: Select,
              elementProps: {style: {width: 200}},
              elementChildren: Array(10).fill().map((v, i) => <Option key={i} value={i}>{i}</Option>)
            }, {
              label: '旧品优先',
              value: 2,
              element: Select,
              elementProps: {style: {width: 200}},
              elementChildren: Array(10).fill().map((v, i) => <Option key={i} value={i}>{i}</Option>)
            }]}
            onChange={(value) => {
              this.setState({value})
            }}
          />
        </Form.Item>
      </div>
    )
  }

}
