import React, {Component} from 'react';
import {Placeholder} from 'ola-ui';

const awesomePlaceholder = (
  <div className='my-awesome-placeholder'>
    <div style={{display: 'flex'}}>
      <div>
        <Placeholder.RectShape color={'#ccc'} style={{width: 100, height: 80}}/>
        <br />
        <Placeholder.RoundShape color={'#ccc'} style={{width: 80, height: 50}}/>
      </div>
      <Placeholder.TextBlock rows={10}/>
    </div>
  </div>
);

export default class Demo extends Component {

  render() {
    return (
      <div>
        <Placeholder ready={false} customPlaceholder={awesomePlaceholder}>
          <div>实际内容</div>
        </Placeholder>
      </div>
    )
  }

}
