'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactPlaceholder = require('react-placeholder');

var _reactPlaceholder2 = _interopRequireDefault(_reactPlaceholder);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _placeholders = require('react-placeholder/lib/placeholders');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var DEFAULT_COLOR = '#f3f3f3';

_placeholders.TextBlock.propTypes.color = _propTypes2.default.string;
_placeholders.TextBlock.defaultProps.color = DEFAULT_COLOR;
_placeholders.TextBlock.propTypes.rows = _propTypes2.default.number;
_placeholders.TextBlock.defaultProps.rows = 5;

_reactPlaceholder2.default.TextBlock = _placeholders.TextBlock;

_reactPlaceholder2.default.MediaBlock = _placeholders.MediaBlock;

_reactPlaceholder2.default.TextRow = _placeholders.TextRow;

_reactPlaceholder2.default.RectShape = _placeholders.RectShape;

_reactPlaceholder2.default.RoundShape = _placeholders.RoundShape;

_reactPlaceholder2.default.defaultProps.color = DEFAULT_COLOR;

exports.default = _reactPlaceholder2.default;
module.exports = exports['default'];