import React, {Component} from 'react';
import {Popconfirm, Message} from 'ola-ui';

function confirm(e) {
  console.log(e);
  Message.success('Click on Yes');
}

function cancel(e) {
  console.log(e);
  Message.error('Click on No');
}


export default class Basic extends Component {

  render() {

    return (
      <div>
        <Popconfirm
          title="Are you sure delete this task?"
          onConfirm={confirm} onCancel={cancel}
          okText="Yes"
          cancelText="No">
          <a href="#">Delete</a>
        </Popconfirm>
      </div>
    )
  }

}
