import React, {Component} from 'react';
import {Popconfirm, Message, Button} from 'ola-ui';
import {bind} from 'ola-toolkit';

const text = 'Are you sure delete this task?';

function confirm() {
  Message.info('Click on Yes.');
}

const btnStyle = {
  margin: 5,
};

export default class Position extends Component {

  render() {

    return (
      <div className="demo">
        <div style={{marginLeft: 90, whiteSpace: 'nowrap'}}>
          <Popconfirm placement="topLeft" title={text} onConfirm={confirm} okText="Yes" cancelText="No">
            <Button style={btnStyle}>TL</Button>
          </Popconfirm>
          <Popconfirm placement="top" title={text} onConfirm={confirm} okText="Yes" cancelText="No">
            <Button style={btnStyle}>Top</Button>
          </Popconfirm>
          <Popconfirm placement="topRight" title={text} onConfirm={confirm} okText="Yes" cancelText="No">
            <Button style={btnStyle}>TR</Button>
          </Popconfirm>
        </div>
        <div style={{width: 70, float: 'left'}}>
          <Popconfirm placement="leftTop" title={text} onConfirm={confirm} okText="Yes" cancelText="No">
            <Button style={btnStyle}>LT</Button>
          </Popconfirm>
          <Popconfirm placement="left" title={text} onConfirm={confirm} okText="Yes" cancelText="No">
            <Button style={btnStyle}>Left</Button>
          </Popconfirm>
          <Popconfirm placement="leftBottom" title={text} onConfirm={confirm} okText="Yes" cancelText="No">
            <Button style={btnStyle}>LB</Button>
          </Popconfirm>
        </div>
        <div style={{width: 70, marginLeft: 304}}>
          <Popconfirm placement="rightTop" title={text} onConfirm={confirm} okText="Yes" cancelText="No">
            <Button style={btnStyle}>RT</Button>
          </Popconfirm>
          <Popconfirm placement="right" title={text} onConfirm={confirm} okText="Yes" cancelText="No">
            <Button style={btnStyle}>Right</Button>
          </Popconfirm>
          <Popconfirm placement="rightBottom" title={text} onConfirm={confirm} okText="Yes" cancelText="No">
            <Button style={btnStyle}>RB</Button>
          </Popconfirm>
        </div>
        <div style={{marginLeft: 90, clear: 'both', whiteSpace: 'nowrap'}}>
          <Popconfirm placement="bottomLeft" title={text} onConfirm={confirm} okText="Yes" cancelText="No">
            <Button style={btnStyle}>BL</Button>
          </Popconfirm>
          <Popconfirm placement="bottom" title={text} onConfirm={confirm} okText="Yes" cancelText="No">
            <Button style={btnStyle}>Bottom</Button>
          </Popconfirm>
          <Popconfirm placement="bottomRight" title={text} onConfirm={confirm} okText="Yes" cancelText="No">
            <Button style={btnStyle}>BR</Button>
          </Popconfirm>
        </div>
      </div>
    )
  }

}
