import React, {Component} from 'react';
import {Radio, Button} from 'ola-ui';
import {bind} from 'ola-toolkit';

export default class Disabled extends Component {

  state = {
    disabled: true,
  };

  @bind
  toggleDisabled() {
    this.setState({
      disabled: !this.state.disabled,
    });
  }

  render() {

    return (
      <div>
        <Radio defaultChecked={false} disabled={this.state.disabled}>Disabled</Radio>
        <br/>
        <Radio defaultChecked disabled={this.state.disabled}>Disabled</Radio>
        <div style={{marginTop: 20}}>
          <Button type="primary" onClick={this.toggleDisabled}>
            Toggle disabled
          </Button>
        </div>
      </div>
    )
  }

}
