# Rate

评分

## 示例

  <demo src="basic.jsx" title="基础用法"></demo>
  
  <demo src="disabled.jsx" title="仅展示、不可用交互"></demo>
  
  <demo src="half.jsx" title="半星"></demo>
  
  <demo src="custom.jsx" title="自定义符号"></demo>
  
  <demo src="clear.jsx" title="可取消评分"></demo>

## API

| 属性 | 说明 | 类型 | 默认值 |
| --- | --- | --- | --- |
| allowClear | 是否允许再次点击后清除 | boolean | true |
| allowHalf | 是否允许半选 | boolean | false |
| autoFocus | 自动获取焦点 | boolean | false |
| character | 自定义字符 | ReactNode | `<Icon type="star" />` |
| className | 自定义样式类名 | string | - |
| count | star 总数 | number | 5 |
| defaultValue | 默认值 | number | 0 |
| disabled | 只读，无法进行交互 | boolean | false |
| style | 自定义样式对象 | object | - |
| value | 当前数，受控值 | number | - |
| onBlur | 失去焦点时的回调 | Function() | - |
| onChange | 选择时的回调 | Function(value: number) | - |
| onFocus | 获取焦点时的回调 | Function() | - |
| onHoverChange | 鼠标经过时数值变化的回调 | Function(value: number) | - |
| onKeyDown | 按键回调 | Function(event) | - |

## 方法

| 名称 | 描述 |
| --- | --- |
| blur() | 移除焦点 |
| focus() | 获取焦点 |
