import React, {Component} from 'react';
import {Select} from 'ola-ui';

const {Option} = Select;

const children = [];
for (let i = 10; i < 36; i++) {
  children.push(<Option key={i.toString(36) + i}>{i.toString(36) + i}</Option>);
}

function handleChange(value) {
  console.log(`selected ${value}`);
}

export default class Split extends Component {

  render() {

    return (
      <div>
        <Select
          mode="tags"
          style={{width: '100%'}}
          onChange={handleChange}
          tokenSeparators={[',']}
        >
          {children}
        </Select>
      </div>
    )
  }

}
