import React, {Component} from 'react';
import {Table} from 'ola-ui';

const columns = [{
  title: 'Name',
  dataIndex: 'name',
  width: 150, // 需要指定 column 的 width 属性，否则列头和内容可能不对齐。
}, {
  title: 'Age',
  dataIndex: 'age',
  width: 150, // 需要指定 column 的 width 属性，否则列头和内容可能不对齐。
}, {
  title: 'Address',
  dataIndex: 'address',
}];

const data = [];
for (let i = 0; i < 100; i++) {
  data.push({
    key: i,
    name: `Edward King ${i}`,
    age: 32,
    address: `London, Park Lane no. ${i}`,
  });
}

export default class RowFixed extends Component {

  render() {
    return (
      <Table columns={columns} dataSource={data} pagination={{pageSize: 50}} scroll={{y: 240}}/>
    );
  }

}
