import React, {Component} from 'react';
import {Tree, Icon} from 'ola-ui';
import {bind} from 'ola-toolkit';

const TreeNode = Tree.TreeNode;

export default class WithIcon extends Component {

  render() {
    return (
      <Tree
        showIcon
        defaultExpandAll
        defaultSelectedKeys={['0-0-0']}
      >
        <TreeNode icon={<Icon type="smile-o"/>} title="parent 1" key="0-0">
          <TreeNode icon={<Icon type="meh-o"/>} title="leaf" key="0-0-0"/>
          <TreeNode
            icon={({selected}) => (
              <Icon type={selected ? 'frown' : 'frown-o'}/>
            )}
            title="leaf"
            key="0-0-1"
          />
        </TreeNode>
      </Tree>
    );
  }

}
