# VisibilitySensor

元素可见性检测器

## 示例

  <demo src="basic.jsx" title="基础用法"></demo>

## API

| 参数 | 说明 | 类型 | 默认值 |
| --- | --- | --- | --- |
| onChange | 可见性变化回调 | func | - |
| active | 启用 | bool | true |
| partialVisibility | 当元素部分可见时是否切换可见性 | bool | true |
| offset | 元素部分可见时的有效区域, {left, top, bottom, right} | object | {} |
| minTopValue | 元素部分可见时可以设置的最小像素数| number (px) | 0 |
| intervalCheck | 轮询检测 | bool | true |
| intervalDelay | 轮询检测时间间隔 | number (ms) | 100 |
| scrollCheck | 启用 scroll 事件检测 | bool | false |
| scrollDelay | scroll 检测延时 | number (ms) | 250 |
| scrollThrottle | scroll 检测节流，设置大于 -1，则使用节流代替延时 | number (ms) | -1 |
| resizeCheck | 启用 resize 事件检测 | bool | false |
| resizeDelay | resize 检测延时 | number (ms) | 250 |
| resizeThrottle | resize 检测节流，设置大于 -1，则使用节流代替延时 | number (ms) | -1 |
| containment | 可见性检查的容器 | element | - |
| delayedCall | 延迟调用，为 true 则不会在页面加载时执行 | bool | false |
| children | 要监听的元素 | element | - |
